////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  File: main.h
//  Author: Johloemoe
//  Date: 11/22/2003
//  Description: Main Game Header
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


#include "lib/mygcn.h" // Include libogc (v0.1)

// Some defines

#define NTSC 1 
#define PAL50 2
#define PAL60 3

// create PAD structs

PAD gb_Pad[2];

// Some other defines

#define ON  1
#define OFF 2

//HOTRESET ( i think its originally from Peter)

#define REG_HOTRESET             (0xCC003024)
#define REG_HOTRESET_PTR         ((volatile u32*)REG_HOTRESET)
#define M_HOTRESET               *REG_HOTRESET_PTR = 0x00000000;

// Transparent color (for blitting)

#define COLOR_TRANSPARENT	COLOR_BLACK


//  Framebuffer

u32 *fb=MEM_RAM_LOGICAL_PTR;


#define BS 10 //Ballspeed, must be a multiple of 2

int AISWITCH; // AI global

//structs

struct bbg{  // GameBlade-Logo
	int x;
	int y;
	int width;
	int height;
}bg;

struct ppaddle{  // Paddle
	int x;
	int y;
	int width;
	int height;
	int points;
}paddle[2];

struct bball{  // ball
	int x;
	int y;
	int sx;
	int sy;
	int width;
	int height;
}ball;

struct bgbg{  // Gamebackground...
	int x;
	int y;
	int width;
	int height;
}gbg;





